import { ComponentDocRenderer } from '../../types';
/**
 * alibaba materials style renderer
 * @see https://yuque.antfin-inc.com/mo/spec/spec-materials#CZiWi
 * @example
 * ``` md
 * ### Column

 * Form column.

 * | Param              | Description              | Type                                | Enum                            | Default |
 * | ------------------ | ------------------------ | ----------------------------------- | ------------------------------- | ------- |
 * | prop1              | prop1 description        | `string`                            |                                 | "red"   |
 * | prop2 _(required)_ | prop2 description        | `number`                            |                                 |         |
 * | prop3 _(required)_ | prop3 description a \| b | `() => void`                        |                                 |         |
 * | prop4 _(required)_ | prop4 description 中文   | `"option1" | "option2" | "option3"` | "option1", "option2", "option3" |         |
 * ```
 */
export declare const aliMaterialRenderer: ComponentDocRenderer;
