"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../../../src");
const fs_extra_1 = require("fs-extra");
const path = require("path");
const react_docgen_typescript_1 = require("react-docgen-typescript");
const index_1 = require("./index");
const componentPath = path.resolve(__dirname, '..', '..', '..', '__tests__', 'components', 'Column');
describe('aliMaterialRenderer', () => {
    it('default', () => {
        const componentDocs = react_docgen_typescript_1.parse(path.resolve(componentPath, 'Column.tsx'), {
            shouldExtractValuesFromUnion: true,
            savePropValueAsString: true,
        });
        const content = src_1.markdownRender(componentDocs, { renderer: index_1.aliMaterialRenderer });
        expect(content)
            .toBe(fs_extra_1.readFileSync(path.join(__dirname, 'Column-en_US.md'), 'utf-8'));
    });
    it('zh_CN', () => {
        const componentDocs = react_docgen_typescript_1.parse(path.resolve(componentPath, 'Column.tsx'), {
            shouldExtractValuesFromUnion: true,
            savePropValueAsString: true,
        });
        const content = src_1.markdownRender(componentDocs, { renderer: index_1.aliMaterialRenderer, language: 'zh_CN' });
        expect(content)
            .toBe(fs_extra_1.readFileSync(path.join(__dirname, 'Column-zh_CN.md'), 'utf-8'));
    });
});
//# sourceMappingURL=index.test.js.map